/******************************************************************************
 *
 *  Filename:       mxg_umsm.h
 *  Project:        mistralXG Wind synthesiser
 *  Date:           12Apr08
 *  File Version:   01.00
 *
 *
 *  Author:     Steve Russell (pic.projects@ntlworld.com)
 *  Company:    Grapevyne
 *
 *  Copyright:  (C) Steve Russell 2008
 *
 *  This code is available at no charge to individuals for personal, non-profit,
 *  use, and may be used as is or modifed as desired. Further distribution of
 *  this code or a derivative work is allowed as long as this copyright notice
 *  is not removed or modified. Changes to the original code should be clearly
 *  identified.
 *
 *  Any commercial use of this code, or a derivative of it, may only be made
 *  with the written agreement of the copyright holder. "Commercial" in this
 *  context means any activity that requires a user to pay in money or kind
 *  in order to make use of such code.
 *
 *  This file is provided "as is". No claims of suitability for any particular
 *  purpose are made. No liability for any damages (of any sort) resulting from
 *  its use are accepted, no matter how they may arise.
 *
 ******************************************************************************
 * Change log
 * ----------
 *
 *
 *****************************************************************************/
 
/******************************************************************************
 * mistralXG USB-MIDI>MIDI routines header file
 *****************************************************************************/
#ifndef MXG_UMSM_H
#define MXG_UMSM_H

/** Variables ****************************************************************/
extern bp   UMOptr;             // Pointer to MIDI OUT staging buffer
extern byte	USBMidiOut[];       // MIDI OUT staging buffer

/** P U B L I C  P R O T O T Y P E S *****************************************/
void initUmsm(void);            // Initialise the state machine
void processNextBuffer(void);   // Handles next buffer from USB

#endif // MXG_UMSM_H